package com.jscape.util.fsm;

/**
 * @author Alex Usun
 */
public interface EventSource {

    Event nextEvent()
            throws FSMException;

    void postEvent(Event event)
            throws FSMException;

}
